Skip to main content
POST
/
v2
/
add
/
confluence
Add a Confluence space
curl --request POST \
  --url https://context7.com/api/v2/add/confluence \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "cloudId": "a]1b2c3d4-5e6f-7g8h-9i0j",
  "siteUrl": "https://your-site.atlassian.net",
  "spaceKey": "DOCS",
  "spaceName": "Documentation",
  "title": "My Docs",
  "description": "Internal documentation",
  "projectId": "project-uuid"
}
'
{
  "libraryName": "/owner/repo",
  "message": "Repository submitted successfully"
}

Authorizations

Authorization
string
header
required

Get your API key at context7.com/dashboard. Treat your API key like a password and store it securely.

Body

application/json
cloudId
string
required

The Confluence cloud instance ID

siteUrl
string
required

The Confluence site URL

spaceKey
string
required

The Confluence space key

spaceName
string
required

The Confluence space name

title
string
required

Title for the library

description
string
required

Description of the library

pageIds
string[]

Optional list of specific page IDs to index. If omitted, the entire space is indexed.

projectId
string

The team project ID to associate this Confluence space with

Response

Library submitted successfully for processing

Response after successfully submitting a library

libraryName
string
required

The library identifier assigned (e.g., /owner/repo)

message
string
required

Human-readable success message